/*select c.categid, c.categname, s.subcategid, s.subcategname from category_v1 c
left join subcategory_v1 s on s.categid=c.categid
order by c.categname, s.subcategname*/
select WEEK, DATE_LABEL, total(TotalExpenses) as TotalExpenses
from (
select 
    case ifnull(c.categid, -1) when -1 then s.categid else c.categid end as categ
    , case ifnull(c.categid,-1) when -1 then ifnull(s.subcategid,-1) else ifnull(c.subcategid,-1) end as subcateg
    , strftime('%W','now', 'localtime') - strftime('%W', c.TRANSDATE) as WEEK
    , strftime('%W', c.TRANSDATE) as DATE_LABEL
    , sum((case c.categid when -1 then  s.splittransamount else  transamount  end) 
	        * (case transcode when 'Withdrawal' then - cf.BaseConvRate else cf.BaseConvRate end)
            ) as TotalExpenses
from CHECKINGACCOUNT_V1 c
    left join ACCOUNTLIST_V1 AC on AC.ACCOUNTID = c.ACCOUNTID
    left join currencyformats_v1 cf on cf.currencyid=AC.currencyid
    left join splittransactions_v1 s on s.transid=c.transid
where (date('now', 'start of month','-3 month','localtime') <= c.transdate
        and c.transdate < date('now', 'start of month','+1 month','localtime'))
and transcode != 'Transfer'
and c.status !='V'
and ac.status !='Closed'
group by AC.ACCOUNTID, categ, subcateg, week
) t
where categ=2 and subcateg=9
group by WEEK
order by WEEK desc
